• Post Reply Bookmark Topic Watch Topic
  • New Topic

Problem in AnnotationSessionFactoryBean crration.  RSS feed

 
Kuladip Yadav
Ranch Hand
Posts: 162
Hibernate Java Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I am creating session factory using AnnotationSessionFactoryBean


but I got followig exception

I have included slf4j-api-1.5.2.jar in classpath.

Which version I have to use

I am using Spring 2.5, hibernate 3.3.1
hibernate-annotations 3.4.0

Thanks
- Kuldeep
 
Nathan Pruett
Bartender
Posts: 4121
IntelliJ IDE Java Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
According to the SLF4J JavaDocs that method has existed since the 1.4 version of the API, so you should be good with 1.5.2 - however, you may have an older version of SLF4J on your classpath - make sure it's not included in any libraries you may be using in your application, or in libraries contained in the application server's libs.

 
Don't get me started about those stupid light bulbs.
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!